Available in VPC
Send Cloud DB for MySQL instance DB server log files to Object Storage.
To send DB server log files to Object Storage, Object Storage buckets for storing and searching DB server log files must be created in advance. For more information, see the Object Storage Guide.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmysql/v2/exportDbServerLogToObjectStorage |
Request headers
For headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
logType |
String | Required | DB server log file type
|
fileName |
String | Required | DB server log file name
|
bucketName |
String | Required | Name of the Object Storage bucket the DB server log file will be sent to
|
folderPath |
String | Optional | Folder path where DB server log files will be sent |
cloudMysqlServerInstanceNo |
String | Required | Server instance number of Cloud DB for MySQL
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/exportDbServerLogToObjectStorage
?regionCode=KR
&logType=BINARY
&fileName=mysql-bin.000001
&bucketName=mysql-bin-log
&folderPath=cloud-db-for-mysql/
&cloudMysqlServerInstanceNo=****891' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.
Response example
The following is a sample response.
- If
responseFormatType=json
{
"exportDbServerLogToObjectStorageResponse": {
"requestId": "1cf902bb-****-****-****-28fc2494f20",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<exportDbServerLogToObjectStorageResponse>
<requestId>1cf902bb-****-****-****-28fc2494f20c</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
</exportDbServerLogToObjectStorageResponse>